> ## Documentation Index
> Fetch the complete documentation index at: https://docs.woodcore.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create IP Whitelist

> This endpoint is responsible for whitelisting an IP address which is to be attached to a particular API KEY.

This endpoint is responsible for whitelisting an IP address which is to be attached to a particular API KEY. This adds an extra layer of security by ensuring that API calls can only be made from approved IP addresses.

<Note>
  The IP address must be approved using the OTP sent to the user's email address before it becomes active.
</Note>


## OpenAPI

````yaml POST /gateway/apiKeys/ipwhitelist
openapi: 3.0.3
info:
  title: Woodcore Access Gateway API
  description: API for managing access to Woodcore resources
  version: 2.0.0
servers:
  - url: https://spark.test.woodcore.co/api/v2
    description: Spark V2 Server
  - url: https://spark.test.woodcore.co/api/v2
    description: Spark Security Server
security: []
paths:
  /gateway/apiKeys/ipwhitelist:
    post:
      summary: IP Whitelist
      description: >-
        This endpoint is responsible for whitelisting an IP address which is to
        be attached to a particular API KEY.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ips
              properties:
                ips:
                  type: string
                  example: 136.144.17.156
      responses:
        '200':
          description: IP successfully whitelisted
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````